/*
# nakamichi2009 : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : nakamichi2009
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define MAX_LENGTH (1024)
#define DEBUG
#include "genUtil.h"
//#include "Test.h"

/*
Example:
typedef struct lnakamichi2009Info {
	float a;
	int   b;
} lnakamichi2009Info;

typedef enum lnakamichi2009Mode {
	a=0,
	b=1
} lnakamichi2009Mode;
*/

int
main(int argc, char* argv[]) 
{
	nakamichi2009Info info;
	char s[MAX_LENGTH];

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	DEBUGPRINT("Program Start\n");
	while(NULL!= fgets(s,MAX_LENGTH,info.fptIn)){
	fputs(s,info.fptOut);
	}
	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");

